## treesheets 1.0.0

=== CMakeLists.txt ===
# Sample build with makefile generator
#
#     cd <into-treesheets-source>
#     cmake -H. -Bb -DCMAKE_BUILD_TYPE=Release \
#         -DCMAKE_INSTALL_PREFIX=$PWD/i \
#         -DCMAKE_PROGRAM_PATH=<path-to-wx-config> # not always needed
#     cmake --build b --target install
#
# Sample build with IDE generator, like Xcode
#
#     cd <into-treesheets-source>
#     cmake -H. -Bb -GXcode \
#         -DCMAKE_INSTALL_PREFIX=$PWD/i \
#         -DCMAKE_PROGRAM_PATH=<path-to-wx-config> # not always needed
#     cmake --build b --config Release --target install
#
# Run program:
#
#     ./i/treesheets
#
# Should work on Windows, too. About helping FindwxWidgets to find wxWidgets
# consult: https://cmake.org/cmake/help/latest/module/FindwxWidgets.html

cmake_minimum_required(VERSION 3.1)
# CMAKE_CXX_STANDARD needs v3.1, could be lowered with minor effort

project(treesheets)

set(CMAKE_CXX_STANDARD 11)

find_package(wxWidgets REQUIRED aui adv core xml net)
include(${wxWidgets_USE_FILE})

file(GLOB sources src/*.cpp src/*.h)
add_executable(treesheets ${sources})

target_link_libraries(treesheets PRIVATE ${wxWidgets_LIBRARIES})

install(TARGETS treesheets DESTINATION .)
install(DIRECTORY TS/ DESTINATION .)

=== debian/changelog ===
treesheets (1:1.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Jan 2019 13:42:52 -0800

treesheets (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 18 May 2018 00:58:15 -0700

treesheets (20161120~git7baabf39-1) unstable; urgency=medium

  * New upstream commits.
  * Fix the "Help -> View tutorial web page..." function.

 -- Ximin Luo <infinity0@debian.org>  Sun, 15 Jan 2017 14:55:50 +0100

treesheets (20160710~git44faa84c-1) unstable; urgency=medium

  * New upstream commits.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Sep 2016 15:17:58 +0200

treesheets (20160518~git2fe021f4-1) unstable; urgency=medium

  * New upstream commits.
  * Install desktop menu file and icon. (Closes: #818965)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 18 May 2016 22:23:34 +0200

treesheets (20160223~gitcd607f95-1) unstable; urgency=medium

  * New upstream commits.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Mar 2016 14:36:26 +0100

treesheets (20150702~git1c77449b-1) unstable; urgency=low

  * Initial release (Closes: #743792)

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 02 Jul 2015 04:05:24 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DPACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_build:
	dh_auto_build
	cd treesheets && { convert icon1.ico treesheets.png && mkdir -p 16x16 32x32 && mv treesheets-0.png 16x16/treesheets.png && mv treesheets-1.png 32x32/treesheets.png; }

override_dh_auto_clean:
	cd treesheets && rm -rf treesheets*.png 16x16 32x32
	dh_auto_clean

override_dh_installdocs:
	dh_installdocs -Xhistory.txt

override_dh_installchangelogs:
	dh_installchangelogs TS/docs/history.txt

# upstream vcs files have untidy perms and dh_fixperms doesn't do a thorough enough job
override_dh_fixperms:
	dh_fixperms
	find debian/treesheets/usr/share -type f -execdir chmod -x '{}' \;

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## treesheets 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #
 #     cd <into-treesheets-source>
 #     cmake -H. -Bb -DCMAKE_BUILD_TYPE=Release \
-#         -DCMAKE_INSTALL_PREFIX=$PWD/i \
 #         -DCMAKE_PROGRAM_PATH=<path-to-wx-config> # not always needed
 #     cmake --build b --target install
 #
@@ -10,7 +9,6 @@
 #
 #     cd <into-treesheets-source>
 #     cmake -H. -Bb -GXcode \
-#         -DCMAKE_INSTALL_PREFIX=$PWD/i \
 #         -DCMAKE_PROGRAM_PATH=<path-to-wx-config> # not always needed
 #     cmake --build b --config Release --target install
 #
@@ -26,12 +24,24 @@
 
 project(treesheets)
 
-set(CMAKE_CXX_STANDARD 11)
+# set(CMAKE_CXX_STANDARD 17)  # this doesn't work correctly on all CMake versions :(
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
+
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/TS)
 
 find_package(wxWidgets REQUIRED aui adv core xml net)
 include(${wxWidgets_USE_FILE})
 
-file(GLOB sources src/*.cpp src/*.h)
+file(GLOB sources src/*.cpp src/*.h
+        lobster/src/builtins.cpp
+        lobster/src/compiler.cpp
+        lobster/src/file.cpp
+        lobster/src/lobsterreader.cpp
+        lobster/src/platform.cpp
+        lobster/src/vm.cpp
+        lobster/src/vmdata.cpp
+        lobster/src/vmlog.cpp)
+include_directories(lobster/include lobster/src)
 add_executable(treesheets ${sources})
 
 target_link_libraries(treesheets PRIVATE ${wxWidgets_LIBRARIES})

=== debian/changelog ===
treesheets (1:1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sun, 24 Mar 2019 21:15:22 -0700

=== debian/control ===
Source: treesheets
Section: editors
Priority: optional
Maintainer: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 libwxgtk3.0-dev,
 wx3.0-headers,
 imagemagick
Standards-Version: 4.3.0
Homepage: http://strlen.com/treesheets/
Vcs-Git: https://salsa.debian.org/infinity0/treesheets.git
Vcs-Browser: https://salsa.debian.org/infinity0/treesheets

Package: treesheets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Data organizer that covers spreadsheets, mind mappers, and small databases
 Suitable for any kind of data organization, such as Todo lists, calendars,
 project management, brainstorming, organizing ideas, planning, requirements
 gathering, presentation of information, etc.
 .
 It shares many characteristics with more familiar tools, and augments their
 abilities - like a spreadsheet, but supporting hierarchical data; like a mind
 mapper, but more organized and compact; like an outliner, but in more than one
 dimension; and like a text editor, but with structure.

## treesheets 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,9 @@
 include(${wxWidgets_USE_FILE})
 
 file(GLOB sources src/*.cpp src/*.h
+        lobster/external/flatbuffers/src/*.cpp
         lobster/src/builtins.cpp
+        lobster/src/disasm.cpp
         lobster/src/compiler.cpp
         lobster/src/file.cpp
         lobster/src/lobsterreader.cpp

=== src/Makefile ===
# Created by: lightside <lightside@gmx.com>
# This file released into the public domain

WX_CONFIG?=	wx-config
WX_CXXFLAGS=	`$(WX_CONFIG) --cxxflags`
WX_LIBS=	`$(WX_CONFIG) --libs aui adv core xml net`
PACKAGE_VERSION?=	__DATE__
CXX?=	c++
CXXFLAGS+=	-DPACKAGE_VERSION=$(PACKAGE_VERSION) -std=c++17 $(WX_CXXFLAGS) -I ../lobster/include -I ../lobster/src
LDFLAGS+=	$(WX_LIBS)

ARCH=	$(firstword $(shell uname -m))
SYS=	$(firstword $(shell uname -s))
DISTFILE?=	$(DISTNAME)$(DISTEXT)
DISTNAME?=	$(APPNAME)_$(SYS)_$(ARCH)
DISTEXT?=	.tar.gz
DIST_CMD?=	tar
DIST_ARGS?=	-caf

APPNAME=	treesheets
SRCS=	main.cpp \
        lobster_impl.cpp \
        ../lobster/src/builtins.cpp \
        ../lobster/src/compiler.cpp \
        ../lobster/src/file.cpp \
        ../lobster/src/lobsterreader.cpp \
        ../lobster/src/platform.cpp \
        ../lobster/src/vm.cpp \
        ../lobster/src/vmdata.cpp \
        ../lobster/src/vmlog.cpp
OBJS=	$(SRCS:.cpp=.o)

all: $(SRCS) $(APPNAME)

release: CXXFLAGS+= -O3
release: install clean

debug: CXXFLAGS+= -g
debug: install clean

$(APPNAME): $(OBJS)
	$(CXX) $(OBJS) $(LDFLAGS) -o $@

install: all
	cp -f $(APPNAME) ../TS

deinstall:
	rm -f ../TS/$(APPNAME)

clean:
	rm -f $(APPNAME) *.o

dist-release: release dist

dist-debug: debug dist

dist-all: install clean dist

dist:
	cd .. && $(DIST_CMD) $(DIST_ARGS) $(DISTFILE) TS

dist-clean:
	cd .. && rm -f $(DISTFILE)

.PHONY: all debug release clean install deinstall dist dist-all dist-debug \
	dist-release dist-clean

=== debian/changelog ===
treesheets (1:1.0.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:57 +0100

treesheets (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Use GTK 3. (Closes: #933463)

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Nov 2019 21:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
- libwxgtk3.0-dev,
+ libwxgtk3.0-gtk3-dev,
  wx3.0-headers,
  imagemagick
 Standards-Version: 4.3.0

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%treesheets-$1.tar.gz%" \
 https://github.com/aardappel/treesheets/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## treesheets 20150702~git1c77449b

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 WX_LIBS=	`$(WX_CONFIG) --libs aui adv core xml net`
 PACKAGE_VERSION?=	__DATE__
 CXX?=	c++
-CXXFLAGS+=	-DPACKAGE_VERSION=$(PACKAGE_VERSION) -std=c++17 $(WX_CXXFLAGS) -I ../lobster/include -I ../lobster/src
+CXXFLAGS+=	-DPACKAGE_VERSION=$(PACKAGE_VERSION) -std=c++11 $(WX_CXXFLAGS)
 LDFLAGS+=	$(WX_LIBS)
 
 ARCH=	$(firstword $(shell uname -m))
@@ -18,19 +18,8 @@
 DIST_ARGS?=	-caf
 
 APPNAME=	treesheets
-SRCS=	main.cpp \
-        lobster_impl.cpp \
-        ../lobster/src/builtins.cpp \
-        ../lobster/src/compiler.cpp \
-        ../lobster/src/file.cpp \
-        ../lobster/src/lobsterreader.cpp \
-        ../lobster/src/platform.cpp \
-        ../lobster/src/vm.cpp \
-        ../lobster/src/vmdata.cpp \
-        ../lobster/src/vmlog.cpp
+SRCS=	main.cpp
 OBJS=	$(SRCS:.cpp=.o)
-
-all: $(SRCS) $(APPNAME)
 
 release: CXXFLAGS+= -O3
 release: install clean
@@ -38,8 +27,13 @@
 debug: CXXFLAGS+= -g
 debug: install clean
 
+all: $(SRCS) $(APPNAME)
+
 $(APPNAME): $(OBJS)
 	$(CXX) $(OBJS) $(LDFLAGS) -o $@
+
+.o:
+	$(CXX) $(CXXFLAGS) $< -o $@
 
 install: all
 	cp -f $(APPNAME) ../TS

=== debian/changelog ===
treesheets (20150702~git1c77449b-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: treesheets
 Section: editors
 Priority: optional
-Maintainer: Ximin Luo <infinity0@debian.org>
+Maintainer: Ximin Luo <infinity0@pwned.gg>
 Build-Depends: debhelper (>= 9),
- cmake,
- libwxgtk3.0-gtk3-dev,
- wx3.0-headers,
- imagemagick
-Standards-Version: 4.3.0
+ libwxgtk3.0-dev,
+ wx3.0-headers
+Standards-Version: 3.9.6
 Homepage: http://strlen.com/treesheets/
-Vcs-Git: https://salsa.debian.org/infinity0/treesheets.git
-Vcs-Browser: https://salsa.debian.org/infinity0/treesheets
+Vcs-Git: https://anonscm.debian.org/git/users/infinity0-guest/treesheets.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0-guest/treesheets.git
 
 Package: treesheets
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -D src -- PACKAGE_VERSION='\"$(DEB_VERSION_UPSTREAM)\"' all

override_dh_auto_install:
	dh_auto_install -D src

override_dh_auto_clean:
	dh_auto_clean -D src -- deinstall

override_dh_installdocs:
	dh_installdocs -Xhistory.txt

override_dh_installchangelogs:
	dh_installchangelogs TS/docs/history.txt

# upstream vcs files have untidy perms and dh_fixperms doesn't do a thorough enough job
override_dh_fixperms:
	dh_fixperms
	find debian/treesheets/usr/share -type f -execdir chmod -x '{}' \;

## treesheets 20160223~gitcd607f95

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: treesheets
 Section: editors
 Priority: optional
-Maintainer: Ximin Luo <infinity0@pwned.gg>
+Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9),
  libwxgtk3.0-dev,
  wx3.0-headers
 Standards-Version: 3.9.6
 Homepage: http://strlen.com/treesheets/
-Vcs-Git: https://anonscm.debian.org/git/users/infinity0-guest/treesheets.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0-guest/treesheets.git
+Vcs-Git: https://anonscm.debian.org/git/users/infinity0/treesheets.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/treesheets.git
 
 Package: treesheets
 Architecture: any

## treesheets 20161120~git7baabf39

=== src/Makefile ===
--- 
+++ 
@@ -32,9 +32,6 @@
 $(APPNAME): $(OBJS)
 	$(CXX) $(OBJS) $(LDFLAGS) -o $@
 
-.o:
-	$(CXX) $(CXXFLAGS) $< -o $@
-
 install: all
 	cp -f $(APPNAME) ../TS

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9),
  libwxgtk3.0-dev,
- wx3.0-headers
-Standards-Version: 3.9.6
+ wx3.0-headers,
+ imagemagick
+Standards-Version: 3.9.8
 Homepage: http://strlen.com/treesheets/
 Vcs-Git: https://anonscm.debian.org/git/users/infinity0/treesheets.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/treesheets.git

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,13 @@
 
 override_dh_auto_build:
 	dh_auto_build -D src -- PACKAGE_VERSION='\"$(DEB_VERSION_UPSTREAM)\"' all
+	cd treesheets && { convert icon1.ico treesheets.png && mkdir -p 16x16 32x32 && mv treesheets-0.png 16x16/treesheets.png && mv treesheets-1.png 32x32/treesheets.png; }
 
 override_dh_auto_install:
 	dh_auto_install -D src
 
 override_dh_auto_clean:
+	cd treesheets && rm -rf treesheets*.png 16x16 32x32
 	dh_auto_clean -D src -- deinstall
 
 override_dh_installdocs:
